package domain

type AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam struct {
	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
